FROM docker.io/denoland/deno:latest as builder
WORKDIR /app

COPY main.ts main.ts
RUN deno cache main.ts

FROM docker.io/denoland/deno:distroless

EXPOSE 8080
WORKDIR /app

COPY main.ts main.ts
COPY --from=builder /deno-dir/* /deno-dir/
ENV PORT=8080
ENV HOST=0.0.0.0

CMD ["run", "--allow-net", "--allow-read", "--allow-env", "main.ts", "/app/instructions.txt"]